.sub-section
  %h4.warning-title= s_('GroupSettings|Analytics Dashboards')
  %p
    = s_('GroupSettings|Select the project containing Analytics Dashboards configuration files.')
    = link_to(s_('GroupSettings|What is Analytics Dashboards?'), help_page_path('user/analytics/value_streams_dashboard'))

  .settings-content#js-analytics-dashboards-settings
    = gitlab_ui_form_for @group, url: group_settings_analytics_path(@group, anchor: 'js-analytics-dashboards-settings'), html: { class: 'fieldset-form', data: { testid: 'analytics-dashboards-settings' } } do |form|
      = form_errors(@group)

      - pointer = @group.analytics_dashboards_pointer || @group.build_analytics_dashboards_pointer
      = form.fields_for :analytics_dashboards_pointer_attributes, pointer do |pointer_form|
        = pointer_form.hidden_field :id
        .js-vue-project-select{ data: { label: s_('GroupSettings|Select the project containing Analytics Dashboards configuration files'),
          input_name: 'group[analytics_dashboards_pointer_attributes][target_project_id]',
          input_id: 'group_analytics_dashboards_pointer_attributes_target_project_id',
          group_id: @group.id,
          order_by: 'last_activity_at',
          with_shared: true.to_s,
          include_subgroups: true.to_s,
          clearable: true.to_s,
          selected: pointer.target_project_id } }
      = form.submit _('Save changes'), pajamas_button: true
